#include <QMessageBox>
#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    a = new Tabellone;
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_btnUno_clicked()
{
    a->incrementaGiocatore(0);
    if (a->getSituazione() == 1)
    {
        QMessageBox::information(this,"Vittoria","Ha vinto il giocatore 1");
        a->azzera();
        ui->lblUno->setText(a->getPunteggio(0).c_str());
        ui->lblDue->setText(a->getPunteggio(1).c_str());
        return;
    }
    if (QString(a->getPunteggio(0).c_str()).toInt() <= 40)
      ui->lblUno->setText(a->getPunteggio(0).c_str());
    if (QString(a->getPunteggio(0).c_str()).toInt() - QString(a->getPunteggio(1).c_str()).toInt() == 100)
        ui->lblVantaggi->setText("Vantaggio giocatore 1");
    if (QString(a->getPunteggio(0).c_str()).toInt() > 40 &&
            QString(a->getPunteggio(0).c_str()).toInt() == QString(a->getPunteggio(1).c_str()).toInt())
        ui->lblVantaggi->setText("Vantaggio pari");
}

void MainWindow::on_btnDue_clicked()
{
    a->incrementaGiocatore(1);
    if (a->getSituazione() == 2)
    {
        QMessageBox::information(this,"Vittoria","Ha vinto il giocatore 2");
        a->azzera();
        ui->lblUno->setText(a->getPunteggio(0).c_str());
        ui->lblDue->setText(a->getPunteggio(1).c_str());
        return;
    }
    if (QString(a->getPunteggio(1).c_str()).toInt() <= 40)
        ui->lblDue->setText(a->getPunteggio(1).c_str());
    if (QString(a->getPunteggio(1).c_str()).toInt() - QString(a->getPunteggio(0).c_str()).toInt() == 100)
        ui->lblVantaggi->setText("Vantaggio giocatore 2");
    if (QString(a->getPunteggio(1).c_str()).toInt() > 40 &&
            QString(a->getPunteggio(0).c_str()).toInt() == QString(a->getPunteggio(1).c_str()).toInt())
        ui->lblVantaggi->setText("Vantaggio pari");
}
